# -*- encoding: utf-8 -*-
# stub: bem-constructor 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "bem-constructor".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Daniel Guillan".freeze]
  s.date = "2016-02-07"
  s.description = "A Sass library for building immutable and namespaced BEM-style CSS objects".freeze
  s.email = ["daniel.guillan@gmail.com".freeze]
  s.homepage = "https://github.com/danielguillan/bem-constructor".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "BEM Constructor is a Sass library for building immutable and namespaced BEM-style CSS objects. By enforcing a consistent and programatic way of defining objects (blocks, elements and modifiers) it ensures a more structured, robust and secure object codebase that is easy to understand and maintain. Objects defined using the constructor are impossible to modify and reassign by mistake or omission.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sass>.freeze, ["~> 3.4"])
    s.add_runtime_dependency(%q<compass>.freeze, ["~> 1.0"])
  else
    s.add_dependency(%q<sass>.freeze, ["~> 3.4"])
    s.add_dependency(%q<compass>.freeze, ["~> 1.0"])
  end
end
